Package io.vertx.rxjava.ext.web.validation.builder

## Class ArrayParserFactory

- java.lang.Object
- - io.vertx.rxjava.ext.web.validation.builder.ArrayParserFactory

-     public class ArrayParserFactory
      extends Object

  This interface is used to create able to parse serialized array structures.
  Look at `Parsers` for all available factories

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ArrayParserFactory>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArrayParserFactory​(ArrayParserFactory delegate)` |
    `ArrayParserFactory​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `ArrayParserFactory` | `getDelegate()` |
    `int` | `hashCode()` |
    `io.vertx.ext.web.validation.impl.parser.ValueParser<String>` | `newArrayParser​(io.vertx.ext.web.validation.impl.parser.ValueParser<String> itemsParser)` |
    `static ArrayParserFactory` | `newInstance​(ArrayParserFactory arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ArrayParserFactory> __TYPE_ARG

  - ### Constructor Detail

    - #### ArrayParserFactory

          public ArrayParserFactory​(ArrayParserFactory delegate)

    - #### ArrayParserFactory

          public ArrayParserFactory​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ArrayParserFactory getDelegate()

    - #### newArrayParser

          public io.vertx.ext.web.validation.impl.parser.ValueParser<String> newArrayParser​(io.vertx.ext.web.validation.impl.parser.ValueParser<String> itemsParser)

    - #### newInstance

          public static ArrayParserFactory newInstance​(ArrayParserFactory arg)